DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Variables
segtypes.h File Reference

type definitions, constants and helper classes for the dcmseg module More...

## Classes
class | DcmSegTypes
| General purpose class hiding global functions, constants and types in the segmentation context from the global namespace. More...
class | SegmentedPropertyTypeCodeItem
| Class representing the Segmented Property Type Code and Segmented Property Type Code Modifier Code Sequence. More...
class | SegmentDescriptionMacro
| Class representing the Segment Description Macro. More...

## Variables
const Uint16 | DCM_SEG_MAX_SEGMENTS = 65535
| DICOM assigns unique number to each Segment within the Segmentation object using an unsigned 16 Bit Integer within "Segment Number" starting with 1.
const Uint32 | DCM_SEG_MAX_FRAMES = 2147483647
| Number of frames for Segmentation objects is limited (besides others) by the Number of Frames attribute which permits values up to a maximum of 2^31-1.
Specific error conditions for module dcmseg
These error codes can be used in addition to the general purpose codes defined in module dcmdata.
DCMTK_DCMSEG_EXPORT const OFConditionConst | SG_EC_MaxSegmentsReached
| error: specified functional group is already existing
DCMTK_DCMSEG_EXPORT const OFConditionConst | SG_EC_NoSuchSegment
| error: specified segment does not exist
DCMTK_DCMSEG_EXPORT const OFConditionConst | SG_EC_UnknownSegmentationType
| error: unknown segmentation type
DCMTK_DCMSEG_EXPORT const OFConditionConst | SG_EC_InvalidValue
| error: invalid value
DCMTK_DCMSEG_EXPORT const OFConditionConst | SG_EC_NotEnoughData
| error: not enough data
DCMTK_DCMSEG_EXPORT const OFConditionConst | SG_EC_MaxFramesReached
| error: too many frames

## Detailed Description

type definitions, constants and helper classes for the dcmseg module

## Variable Documentation

## ◆ DCM_SEG_MAX_SEGMENTS

const Uint16 DCM_SEG_MAX_SEGMENTS = 65535

DICOM assigns unique number to each Segment within the Segmentation object using an unsigned 16 Bit Integer within "Segment Number" starting with 1.

Thus maximally 65535 segments can be stored.

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2